Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.distribution
Interface FDistribution

All Superinterfaces:
  ContinuousDistribution, Distribution

All Known Implementing Classes:
  FDistributionImpl

public interface FDistribution
extends ContinuousDistribution

F-Distribution. Instances of FDistribution objects should be created using `DistributionFactory.createFDistribution(double,double)`.

References:

- F-Distribution

Version:
  $Revision: 1.13 $ $Date: 2004/06/23 16:26:15 $

Method Summary
`double` | `getDenominatorDegreesOfFreedom()` Access the denominator degrees of freedom.
`double` | `getNumeratorDegreesOfFreedom()` Access the numerator degrees of freedom.
`void` | `setDenominatorDegreesOfFreedom(double degreesOfFreedom)` Modify the denominator degrees of freedom.
`void` | `setNumeratorDegreesOfFreedom(double degreesOfFreedom)` Modify the numerator degrees of freedom.

Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution
`inverseCumulativeProbability`

Methods inherited from interface org.apache.commons.math.distribution.Distribution
`cumulativeProbability, cumulativeProbability`

Method Detail

### setNumeratorDegreesOfFreedom

    public void setNumeratorDegreesOfFreedom(double degreesOfFreedom)

  Modify the numerator degrees of freedom.

  Parameters:
    `degreesOfFreedom` - the new numerator degrees of freedom.

### getNumeratorDegreesOfFreedom

    public double getNumeratorDegreesOfFreedom()

  Access the numerator degrees of freedom.

  Returns:
    the numerator degrees of freedom.

### setDenominatorDegreesOfFreedom

    public void setDenominatorDegreesOfFreedom(double degreesOfFreedom)

  Modify the denominator degrees of freedom.

  Parameters:
    `degreesOfFreedom` - the new denominator degrees of freedom.

### getDenominatorDegreesOfFreedom

    public double getDenominatorDegreesOfFreedom()

  Access the denominator degrees of freedom.

  Returns:
    the denominator degrees of freedom.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.